
/*
 * SmartInstaller.h: the heart of the Smart Installer application.
 *
 * Copyright (C) 1994, Yves Arrouye <Yves.Arrouye@imag.fr>
 *
 */
 
/*
 * The Smart Installer application and the Smart Package utility suite may be
 * copied and distributed freely, as long as an acknowledgement of the author's
 * work, with its name and address, is kept. The code may not be distributed if
 * it has been modified. Modified code propositions should be directed to the
 * author who will made them if necessary and redistribute the packages.
 *
 */
 
#import <appkit/appkit.h>

@interface SmartInstaller:Object
{
    char rootName[MAXPATHLEN + 1];	// Base name of the package, no ext

    const char* fromDir;	// Where is the package
    const char* destDir;	// Where will it be installed (unused now)
    
    BOOL isOnRoot;
    
    int active;
}

+ (BOOL)isLocationRoot;

- setOnRoot:(BOOL)flag;
- (BOOL)isOnRoot;

- initPackage:(const char*)from andDestination:(const char*)to;

- setPackage:(const char*)from andDestination:(const char*)to;

- (int)installPackage;

@end
